//Copyright (c) 2004 Aaron Sullivan. All rights reserved.
#ifndef SB_GAMEUTILITIES_H
#define SB_GAMEUTILITIES_H

#include "sb_global.h"
#include "sb_Game.h"

class sb_GameUtilities
{
public:
	sb_GameUtilities();
	void init ( sb_GamePtr gamePtr );
	void testForEnclosures();
	
private:
	void clearSectorTouchedGrid();
	int canGetToOutsideFrom( int gridX, int gridY );
	void deactivateToOutside( int gridX, int gridY );
	void activateToOutside( int gridX, int gridY );
	
	sb_GamePtr game;
	int sectorTouched[64][48]; //used to keep track of Sectors that have been "touched" by a recursive function
};

typedef sb_GameUtilities* sb_GameUtilitiesPtr;

#endif