//Copyright (c) 2004 Aaron Sullivan. All rights reserved.
#ifndef SB_NOISEMAKER_H
#define SB_NOISEMAKER_H

#include "SDL_Mixer.h"
#include "sb_global.h"

#define SB_NOISEINDEXMAX 20
#define SB_NOISECHANNELSDEFAULT 16

class sb_Noisemaker 
{
public:
	sb_Noisemaker();
	sb_Noisemaker(int noiseChannels);
	~sb_Noisemaker();
	
	void load(char * filename, int noiseIndex);
	void play(int noiseIndex);
	void free(int noiseIndex);
	
private:
	Mix_Chunk * chunk[SB_NOISEINDEXMAX];
	int allocatedNoiseChannels;
};

#endif