//Copyright (c) 2004 Aaron Sullivan. All rights reserved.
#ifndef SB_PHASE_GAMEOVER_H
#define SB_PHASE_GAMEOVER_H

#include "sb_GamePhase.h"
#include "sb_GameUtilities.h"

class sb_Phase_GameOver : public sb_GamePhase
{
public:
	sb_Phase_GameOver( sb_GamePtr gameToUse );
	~sb_Phase_GameOver();
	
	virtual void start();
	virtual void pause();
	virtual void end();
	virtual void reset();
	virtual void processEvent( SDL_Event &event );
	virtual void animate();
	virtual void draw();
	
private:    
		Uint32 time;
	float titleX, titleY;
	float titleAlpha;
	float titleScaleX, titleScaleY;
	float titleGlow;
	
	void drawGameOver();
	
	int showingGameOver;
	int erasingGameOver;
	Uint32 timeGameOverStarted;
	Uint32 timeGameOverEnded;
	
	sb_GameUtilities gameUtil;
};

#endif