//Copyright (c) 2004 Aaron Sullivan. All rights reserved.
#ifndef SB_PHASE_PLACEGUNS_H
#define SB_PHASE_PLACEGUNS_H

#include "sb_GamePhase.h"
#include "sb_ShieldSection.h"

class sb_Phase_PlaceGuns : public sb_GamePhase
{
public:
	sb_Phase_PlaceGuns( sb_GamePtr gameToUse );
	~sb_Phase_PlaceGuns();
	
	virtual void start();
	virtual void pause();
	virtual void end();
	virtual void reset();
	virtual void processEvent( SDL_Event &event );
	virtual void animate();
	virtual void draw();
	
private:    
	Uint32 time;
	float titleX, titleY;
	float titleAlpha;
	float titleScaleX, titleScaleY;
	float titleGlow;
	
	int totalSeconds;
	int secondsLeft;
	
	int waitingForChoice;
	Uint32 timeChoiceStarted;
	Uint32 timeChoiceEnded;
	
	void drawTitle();
	void drawTimer();
	void drawPointer();

	void drawRemainingGuns();
	
	int newGuns;
	int indexOfGunPointer;
	
};

#endif